OpenJDK 9ではKotlinが動かなかった話

広告




【追記】
JDK 9で動作させる方法がありました。
詳しくはこちら

こんにちは。

前回の記事でKotlinを動作させていましたが、
実はこれは一苦労していました。

まず、私はUbuntuにOpenJDK 9をインストールしました。

最新だから、という安直な理由です。

その状態でIntelliJ IDEAでプロジェクトを作成しようとすると、
以下のエラーが表示されました。

No class roots are found in the jdk path.

同じUbuntuの人に聞いてみましたが、正常に動作。

ですが、こちらは設定を変えたりしても動作しませんでした。

その人に話を聞いていると、あることが判明しました。

OpenJDK 8を使用していたのです。

となると、思い付くのは………

sudo apt install openjdk-8-jdk

これで、JDKを1.8.0に変更してみると……

動きます!

これは盲点ですね。

それでは皆さん、楽しいKotlinライフを。

広告




コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です